<ngb-carousel
  #carousel
  [interval]="5000"
  (slide)="onSlide($event)"
>
  @for (image of images; track image; let i = $index) {
    <ng-template ngbSlide>
      <div class="carousel-caption">
        <div class="text-capitalize badge bg-secondary fs-3">{{ image.alt }}</div>
      </div>
      <a  href="assets/{{image.url}}" target="_blank" rel="nofollow noopener noreferrer">
        <img class="img-fluid border" src="assets/{{image.url}}" alt="{{image.alt}}"/>
      </a>
    </ng-template>
  }
</ngb-carousel>
